<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div id="pcoded" (window:resize)="onResize($event)" class="pcoded iscollapsed" theme-layout="vertical" vertical-placement="left"
  vertical-layout="wide" [attr.pcoded-device-type]="deviceType" [attr.vertical-nav-type]="verticalNavType" [attr.vertical-effect]="verticalEffect"
  vnavigation-view="view1">
  <div class="pcoded-overlay-box"></div>
  <div class="pcoded-container navbar-wrapper">
    <nav class="navbar header-navbar pcoded-header" header-theme="theme4" pcoded-header-position="fixed">
      <div class="navbar-wrapper">
        <div class="navbar-logo" navbar-theme="theme5">
          <a class="mobile-menu" id="mobile-collapse" href="javascript:;" (click)="toggleOpened()" [exclude]="'#main_navbar'" (clickOutside)="onClickedOutside($event)">
            <i class="ti-menu"></i>
          </a>
          <a [routerLink]="['/forget-password']" style="margin-left:20px">
            <img class="img-fluid" src="assets/images/logo4.png" alt="Theme-Logo" />
          </a>
          <a (click)="onMobileMenu()" class="mobile-options">
            <i class="ti-more"></i>
          </a>
        </div>
        <div class="navbar-container">
          <div>
            <!-- <ul [@mobileMenuTop]="isCollapsedMobile" class="nav-right" [ngClass]="isCollapsedMobile" style="margin-right: 20px">
              <li class="header-notification lng-dropdown" style="color: white">{{'general.choose_language' | translate}}
                <a href="javascript:;" id="dropdown-active-item">
                  <i class="fa fa-language"></i>
                  <span>{{ActiveLang}}</span>
                  <i class="ti-angle-down"></i>
                </a>
                <ul class="show-notification" style="height: 300px; overflow-x: scroll">
                  <li *ngFor="let lang of translate.getLangs()" [class.selected]="lang === translate.currentLang">
                    <a href="javascript:;" data-lng="id" (click)="setLanguage(lang.KeyValue)">
                      {{lang.KeyValue}}
                    </a>
                  </li>
                </ul>
              </li>
            </ul> -->
          </div>
        </div>
      </div>
    </nav>

    <section class="login p-fixed d-flex text-center bg-primary common-img-bg2">
      <div class="auth-fluid">
        <div class="row">
          <div class="col-md-12">
            <div class="login-card card-body auth-body col-sm-6" style="margin: 0 auto;">
              <div class="text-center">
                <img src="assets/images/auth/logo2.png" alt="logo2.png">
              </div>
              <div class="auth-box">
                <div class="row " *ngIf="!loadingdata">
                  <div class="col-md-12">
                    <h3 class="text-left txt-primary">{{'login_register.terminate_account' | translate}}</h3>
                  </div>
                </div>
                <hr/>
                <div class="row m-t-20" *ngIf="loadingdata">
                  
                </div>
                <div class="row m-t-20" *ngIf="terminateStatus == 'A' && !loadingdata">
                  <form class="md-float-material" [formGroup]="terminatedform" (ngSubmit)="onSubmit()">
                    <div class="col-md-12">
                      <label class="text-inverse text-left">
                        <code>></code> {{'login_register.acknowledge' | translate}}
                        {{'login_register.information_related' | translate}}
                        <br/>
                        <code>></code> {{'login_register.please_allow' | translate}}
                        <br/>
                        <code>></code> {{'login_register.if_you_have' | translate}}
                      </label>
                    </div>
                    <div class="col-md-12">&nbsp;</div>
                    <div class="col-md-12 text-left">
                      <div class="checkbox-fade fade-in-primary">
                        <label>
                          <input type="checkbox" value="" id="WarningMessage" formControlName="WarningMessage">
                          <span class="cr">
                            <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                          </span>
                          <span class="text-inverse text-left">
                            {{'login_register.understand' | translate}}
                          </span>
                        </label>
                        <span class="messages text-danger" *ngIf="!terminatedform.value.WarningMessage && terminatedform.get('WarningMessage').touched">* Please Fill the Checkbox</span>
                      </div>
                    </div>
                    <div class="col-md-12">&nbsp;</div>
                    <div class="col-md-12">
                      <button type="submit" class="btn btn-danger btn-md btn-block waves-effect text-center m-b-20">{{'login_register.btn_terminate' | translate}}!</button>
                    </div>
                    <div class="col-md-12">
                      <button [routerLink]="['/dashboard-student']" type="button" class="btn btn-primary btn-md btn-block waves-effect text-center m-b-20">{{'general.btn_back' | translate}}</button>
                    </div>
                  </form>
                </div>
                <div class="row m-t-20" *ngIf="terminateStatus != 'A' && terminateStatus != 'X' && !loadingdata">
                  <div class="col-md-12">
                    <label class="text-inverse text-left">
                      {{'login_register.process_terminate' | translate}}
                      <br/>
                      <br/>
                      <code>></code> {{'login_register.please_allow' | translate}}
                      <br/>
                      <code>></code> {{'login_register.if_you_have' | translate}}
                    </label>
                  </div>
                  <div class="col-md-12">&nbsp;</div>
                  <div class="col-md-12">
                    <button [routerLink]="['/dashboard-student']" type="button" class="btn btn-primary btn-md btn-block waves-effect text-center m-b-20">{{'general.btn_back' | translate}}</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="text-bottom" style="color: black; position: fixed;bottom: 20px; margin: 0 auto; width: 50%; font-weight: 600;">
          <a href="https://www.autodesk.com/company/legal-notices-trademarks/privacy-statement" target="_blank"> Privacy </a> |
          <a href="https://www.autodesk.com/company/legal-notices-trademarks" target="_blank"> Legal Notices & Trademark </a> | © Copyright 2018 Autodesk, Inc. All right reserved.
        </div>
      </div>
    </section>

  </div>
</div>